Bug 474688 - [LTC 5.4 FEAT] Automatic IPL after dump (kernel) [201169]
[LTC 5.4 FEAT] Automatic IPL after dump (kernel) [201169]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA, Patch
Depends On:
Blocks: 445204 RHEL5u4_relnotes 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-04 16:00 EST by IBM Bug Proxy
Modified: 2010-03-14 17:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
A new feature has been implemented in the kernel to perform an Initial Program Load (IPL) on a Red Hat Enterprise Linux virtual machine immediately following a kernel panic and dump.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
linux-2.6.18-s390-ipl_after_dump.patch (20.69 KB, text/plain)
2009-01-23 05:44 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50308 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 16:00:54 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201169]
a. Name of Feature:	Automatic IPL after dump (kernel)
b. Feature Description
Allow to automatically IPL a Linux image after a dump. In particular this function should work in
combination with dump on panic.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.29

3. Business Case
RAS: Increase Availabity - Minimize Downtime, e.g. a panic at night that is automatically dumped and
the system then resumes automatically too.
 Minimize Management & Service costs.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 John Jarvis 2008-12-22 17:54:18 EST
IBM is signed up to test and provide feedback.
Comment 2 Hans-Joachim Picht 2009-01-12 07:03:47 EST
This feature depends on the latest s390-utils package (477189)
Comment 3 IBM Bug Proxy 2009-01-12 07:10:28 EST
This feature depends on the the following: [LTC 5.4 FEAT] Pick up latest version of s390-tools
Comment 4 IBM Bug Proxy 2009-01-22 04:00:52 EST
The code for this feature has upstream acceptance in work for kernel 2.6.30
Comment 5 IBM Bug Proxy 2009-01-23 05:44:11 EST
Created attachment 329806 [details]
linux-2.6.18-s390-ipl_after_dump.patch
Comment 6 Hans-Joachim Picht 2009-02-13 11:54:58 EST
Posted to rhkernel on Feb 13. by Hans-Joachim Picht <hpicht@redhat.com>
Comment 7 RHEL Product and Program Management 2009-02-16 10:17:44 EST
Updating PM score.
Comment 9 IBM Bug Proxy 2009-02-18 09:51:20 EST
Please do not forget to update documentation and/or release notes as mentioned in eSDT call:

Allow to automatically IPL a Linux image after a dump. In particular this function should work in combination with dump on panic, by introducing a new action to the shutdown actions: ???dump_reipl???

??? More details under:
??? ???7.2. Automatic IPL after dump??? Linux on System z Final Prog. SPECs for developerWorks Code Drop 2Q2009
??? ???Shutdown actions??? in latest version of Device Drivers, Features, and Commands (in May 2009) at:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html

Thank you!
Comment 10 John Jarvis 2009-03-02 12:56:39 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 11 Don Zickus 2009-04-06 17:17:18 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 13 Yulia Kopkova 2009-05-25 14:05:50 EDT
dump_reimpl feature does not work for me.

# uname -a
Linux z202.z900.redhat.com 2.6.18-149.el5 #1 SMP Mon May 18 22:32:03 EDT 2009 s3

# rpm -q s390utils
s390utils-1.8.1-3.el5

/etc/sysconfig/dumpconf
ON_PANIC=dump_reipl
DUMP_TYPE=ccw
DEVICE=0.0.3732

# service dumpconf start
dump_reipl on panic configured: Using ccw dump device.
/etc/init.d/dumpconf: line 332: echo: write error: Invalid argument

# echo dump_reipl > /sys/firmware/shutdown_actions/on_panic 
-bash: echo: write error: Invalid argument

Seems, there's something is misconfigured or a problem in kernel.
Comment 14 IBM Bug Proxy 2009-05-26 05:30:50 EDT
------- Comment From michael.holzheu@de.ibm.com 2009-05-26 05:29 EDT-------
My guess is that you have an older z/VM: dump_reipl is only available on LPAR for newer machines (z9 and above) and on z/VM with version 5.3 and above.
Comment 17 Chris Ward 2009-06-14 19:17:12 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 18 Chris Ward 2009-07-03 14:15:18 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 20 Shawn Wells 2009-07-08 15:54:55 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This feature allows for an automatic re-IPL a Red Hat Enterprise Linux virtual machine after a kernel dump.
Comment 21 Chris Ward 2009-07-10 15:07:16 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 22 IBM Bug Proxy 2009-07-15 09:31:25 EDT
------- Comment From mgrf@de.ibm.com 2009-07-15 09:21 EDT-------
verified on RHEL 5.4 beta

Closing feature request  Thx
Comment 23 Ryan Lerch 2009-07-28 04:02:47 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-This feature allows for an automatic re-IPL a Red Hat Enterprise Linux virtual machine after a kernel dump.+A new feature has been implemented in the kernel to perform an Initial Program Load (IPL) on a Red Hat Enterprise Linux virtual machine immediately following a kernel panic and dump.
Comment 25 errata-xmlrpc 2009-09-02 04:22:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.